"use strict";
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Type = void 0;
const EndevorEntity_1 = require("./EndevorEntity");
class Type extends EndevorEntity_1.EndevorEntity {
    constructor(repo, type) {
        super();
        this.envName = type.envName;
        this.sysName = type.sysName;
        this.stgNum = type.stgNum;
        this.typeName = type.typeName;
        this.fileExt = type.fileExt;
        this.repository = repo;
    }
    getName() {
        return this.typeName;
    }
    getDescription() {
        return '';
    }
    getTypeName() {
        return this.typeName;
    }
    getRepository() {
        return this.repository;
    }
}
exports.Type = Type;
//# sourceMappingURL=Type.js.map