"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnreachableCaseError = void 0;
/**
 * You forgot a switch case and your switch is not exhaustive.
 * That's why typescript compiler errors on instantiation of this class.
 */
class UnreachableCaseError extends Error {
    constructor(value) {
        super(`Unreachable case: ${value}`);
    }
}
exports.UnreachableCaseError = UnreachableCaseError;
//# sourceMappingURL=typeHelpers.js.map