"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const vscode = require("vscode");
const constants_1 = require("./constants");
const logger_1 = require("./logger");
/*
This is the only module that is allowed to execute code directly
in the module scope! All other modules should define and export functions.
*/
const outputChannel = vscode.window.createOutputChannel(constants_1.OUTPUT_CHANNEL_NAME);
exports.logger = logger_1.make(outputChannel);
//# sourceMappingURL=globals.js.map